Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063305 - pdns-recursor exceeds the number of available filedescriptors for mthreads
Summary: pdns-recursor exceeds the number of available filedescriptors for mthreads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdns-recursor
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 13:21 UTC by Morten Stevens
Modified: 2014-06-26 04:24 UTC (History)
3 users (show)

Fixed In Version: pdns-recursor-3.5.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 00:51:52 UTC


Attachments (Terms of Use)

Description Morten Stevens 2014-02-10 13:21:12 UTC
Description of problem:

pdns-recursor exceeds the number of available filedescriptors for mthreads

Version-Release number of selected component (if applicable):

pdns-recursor-3.5.3-1.fc21
pdns-recursor-3.5.3-1.fc20
pdns-recursor-3.5.3-1.fc19

Additional info:

Upstream patch available:

From e24b124a4c7b49f38ff8bcf6926cd69077d16ad8 Mon Sep 17 00:00:00 2001
From: bert hubert <bert.hubert@netherlabs.nl>
Date: Thu, 6 Feb 2014 12:48:23 +0100
Subject: [PATCH] make sure we don't exceed the number of available
 filedescriptors for mthreads. You can still overshoot a little bit, but not
 all mthreads will be using an fd.

https://github.com/Habbie/pdns/commit/e24b124a4c7b49f38ff8bcf6926cd69077d16ad8

Comment 1 Fedora Update System 2014-02-10 14:39:04 UTC
pdns-recursor-3.5.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pdns-recursor-3.5.3-2.fc20

Comment 2 Fedora Update System 2014-02-10 14:39:06 UTC
pdns-recursor-3.5.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pdns-recursor-3.5.3-2.fc19

Comment 3 Fedora Update System 2014-02-11 22:58:32 UTC
Package pdns-recursor-3.5.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdns-recursor-3.5.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2246/pdns-recursor-3.5.3-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-02-22 00:51:52 UTC
pdns-recursor-3.5.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-02-22 00:53:37 UTC
pdns-recursor-3.5.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.